/* File generated automatically by dynamo */
/*  */
CREATE TABLE IF NOT EXISTS awa_wiki_content (
  /* the wiki page content identifier */
  "id" BIGINT NOT NULL,
  /* the wiki content creation date */
  "create_date" TIMESTAMP NOT NULL,
  /* the wiki text content */
  "content" TEXT NOT NULL,
  /* the format type used used by the wiki content */
  "format" SMALLINT NOT NULL,
  /* the content comment string */
  "save_comment" VARCHAR(255) NOT NULL,
  /*  */
  "version" INTEGER NOT NULL,
  /* the wiki page version */
  "page_version" INTEGER NOT NULL,
  /* the wiki page that this Wiki_Content belongs to */
  "page_id" BIGINT NOT NULL,
  /* the page version author */
  "author_id" BIGINT NOT NULL,
  PRIMARY KEY ("id")
);
/* The wiki page represents a page with its versions.
It refers to the last version which is currently visible.
It has an optional preview image which defines
the thumbnail preview of the last/current wiki content. */
CREATE TABLE IF NOT EXISTS awa_wiki_page (
  /* the wiki page identifier */
  "id" BIGINT NOT NULL,
  /* the wiki page name */
  "name" VARCHAR(255) NOT NULL,
  /* the last page version number */
  "last_version" INTEGER NOT NULL,
  /* whether the wiki page is public */
  "is_public" BOOLEAN NOT NULL,
  /* the page title */
  "title" VARCHAR(255) NOT NULL,
  /*  */
  "version" INTEGER NOT NULL,
  /* a read counter which indicates how many times the page was read. */
  "read_count" INTEGER NOT NULL,
  /* the wiki page preview. */
  "preview_id" BIGINT ,
  /* the wiki space that this page belongs to */
  "wiki_id" BIGINT NOT NULL,
  /* the current content (or last version) */
  "content_id" BIGINT ,
  PRIMARY KEY ("id")
);
/* Permission is granted to display a wiki page if there is
an ACL entry between the wiki space and the user. */
CREATE TABLE IF NOT EXISTS awa_wiki_space (
  /* the wiki space identifier */
  "id" BIGINT NOT NULL,
  /* the wiki name */
  "name" VARCHAR(255) NOT NULL,
  /* whether the wiki is public */
  "is_public" BOOLEAN NOT NULL,
  /*  */
  "version" INTEGER NOT NULL,
  /* the wiki creation date. */
  "create_date" TIMESTAMP NOT NULL,
  /* the left panel side wiki text for every page. */
  "left_side" TEXT NOT NULL,
  /* the right panel wiki text for every page. */
  "right_side" TEXT NOT NULL,
  /* the default wiki page format. */
  "format" SMALLINT NOT NULL,
  /*  */
  "workspace_id" BIGINT NOT NULL,
  PRIMARY KEY ("id")
);
INSERT INTO entity_type (name) VALUES
('awa_wiki_content'), ('awa_wiki_page'), ('awa_wiki_space')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_page'), 'name')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_page'), 'last_version')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_page'), 'is_public')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_page'), 'title')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_space'), 'name')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_space'), 'is_public')
  ON CONFLICT DO NOTHING;
INSERT INTO awa_audit_field (entity_type, name)
  VALUES ((SELECT id FROM entity_type WHERE name = 'awa_wiki_space'), 'format')
  ON CONFLICT DO NOTHING;
